Name: sheepdog
Summary: The Sheepdog Distributed Storage System for KVM/QEMU
Version: 0.2.3
Release: 1%{?dist}
License: GPLv2 and GPLv2+
Group: System Environment/Base
URL: http://www.osrg.net/sheepdog
Source0: http://downloads.sourceforge.net/project/sheepdog/%{name}/%{version}/%{name}-%{version}.tar.gz

# Runtime bits
Requires: corosync 
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

# Build bits
BuildRequires: autoconf automake
BuildRequires: corosync corosynclib corosynclib-devel

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
This package contains the Sheepdog server, and command line tool which offer
a distributed object storage system for KVM.

%prep
%setup -q 


%build
./autogen.sh
%{configure} --with-initddir=%{_initrddir}

make %{_smp_mflags}
%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

## tree fixup
# drop static libs
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add sheepdog

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service sheepdog stop >/dev/null 2>&1
    /sbin/chkconfig --del sheepdog
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service sheepdog condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL
%{_sbindir}/sheep
%{_sbindir}/collie
%attr(755,-,-)%config %{_initddir}/sheepdog
%dir %{_localstatedir}/lib/sheepdog
%{_mandir}/man8/sheep.8*

%changelog
* Sat May 21 2011 David Nalley <david@gnsa.us> - 0.2.3-1
- updating to 0.2.3 to track upstream.

* Fri May 20 2011 David Nalley <david@gnsa.us> - 0.2.2-2
- removed -n from setup
- hardcoded version number. 
- changed lic from gpl to gplv2
- added INSTALL to doc
- added proper handling of initscripts

* Fri May 20 2011 Autotools generated version <nobody@nowhere.org> - 0.2.2-1
- Autotools generated version

